#! /usr/bin/env python
# -*- coding: utf-8 -*-
# vim:fenc=utf-8


from enum import Enum, auto

class MessageType(Enum):
    TEXT = auto()
    AUDIO = auto()
    IMAGE = auto()
    VIDEO = auto()
    MINIGRAM = auto()
    LINK = auto()

    ACTIVE_TRIGGER = auto()
    AGGREGATION_TRIGGER = auto()

class MessageChannel(Enum):
    CORP_WECHAT = auto()
    MINI_PROGRAM = auto()